---
title: AudioNode.channelCountMode
slug: Web/API/AudioNode/channelCountMode
tags:
  - API
  - AudioNode
  - Property
  - Reference
  - Web Audio API
  - channelCountMode
---
<p>{{ APIRef("Web Audio API") }}</p>

<p><span class="seoSummary">The <code>channelCountMode</code> property of the {{ domxref("AudioNode") }} interface represents an enumerated value describing the way channels must be matched between the node's inputs and outputs.</span></p>

<p>The possible values of <code>channelCountMode</code> and their meanings are:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
   <th scope="col">The following <code>AudioNode</code> children default to this value</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>max</code></td>
   <td>The number of channels is equal to the maximum number of channels of all connections. In this case, <code>channelCount</code> is ignored and only up-mixing happens.</td>
   <td>{{domxref("GainNode")}}, {{domxref("DelayNode")}}, {{domxref("ScriptProcessorNode")}}, {{domxref("ChannelMergerNode")}}, {{domxref("BiquadFilterNode")}}, {{domxref("WaveShaperNode")}}</td>
  </tr>
  <tr>
   <td><code>clamped-max</code></td>
   <td>The number of channels is equal to the maximum number of channels of all connections, <em>clamped</em> to the value of <code>channelCount</code>.</td>
   <td>{{domxref("PannerNode")}}, {{domxref("ConvolverNode")}}, {{domxref("DynamicsCompressorNode")}}</td>
  </tr>
  <tr>
   <td><code>explicit</code></td>
   <td>The number of channels is defined by the value of <code>channelCount</code>.</td>
   <td>{{domxref("AudioDestinationNode")}}, {{domxref("AnalyserNode")}}, {{domxref("ChannelSplitterNode")}}</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p>In older versions of the spec, the default for a {{domxref("ChannelSplitterNode")}} was max. </p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js;highlight[11]">var oscillator = audioCtx.createOscillator();
oscillator.channelCountMode = 'explicit';</pre>

<h3 id="Value">Value</h3>

<p>A enumerated value representing a <a href="https://webaudio.github.io/web-audio-api/#idl-def-ChannelCountMode">channelCountMode</a>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[11]">var AudioContext = window.AudioContext || window.webkitAudioContext;

var audioCtx = new AudioContext();

var oscillator = audioCtx.createOscillator();
var gainNode = audioCtx.createGain();

oscillator.connect(gainNode);
gainNode.connect(audioCtx.destination);

oscillator.channelCountMode = 'explicit';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audionode-channelcountmode', 'channelCountMode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioNode.channelCountMode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
